Bug 235112 - Add logging for version
Add logging for version
Status: RESOLVED FIXED
Product: java
Classification: Unclassified
Component: JUnit
7.4
All All
: P1 (vote)
: 7.4
Assigned To: Theofanis Oikonomou
junit-issues@java
http://wiki.netbeans.org/UsageLogging...
: API, API_REVIEW_FAST
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-27 16:01 UTC by Antonin Nebuzelsky
Modified: 2013-09-01 01:24 UTC (History)
2 users (show)

See Also:
Issue Type: TASK
:


Attachments
proposed fix (4.30 KB, patch)
2013-08-29 14:18 UTC, Theofanis Oikonomou
Details | Diff
proposed fix (11.16 KB, patch)
2013-08-29 14:19 UTC, Theofanis Oikonomou
Details | Diff
proposed fix (13.09 KB, patch)
2013-08-30 10:11 UTC, Theofanis Oikonomou
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Antonin Nebuzelsky 2013-08-27 16:01:20 UTC
Add usage logging for JUnit 3 vs. 4 for both new tests and running existing tests.
Comment 1 Theofanis Oikonomou 2013-08-29 14:18:16 UTC
Created attachment 139436 [details]
proposed fix
Comment 2 Theofanis Oikonomou 2013-08-29 14:19:49 UTC
Created attachment 139437 [details]
proposed fix

the correct one
Comment 3 Theofanis Oikonomou 2013-08-29 14:22:49 UTC
In oder to sync execution/creation of new tests usage statistics a new class is added in gsf.testrunner, namely UnitTestsUsage. This is used by ant/maven junit support modules in order to log junit library usage per project. Please review this change. I will integrate tomorrow if there are no objections as this is needed for 7.4 release. Thank you
Comment 4 Jiri Rechtacek 2013-08-29 18:00:47 UTC
(In reply to Theofanis Oikonomou from comment #3)
> In oder to sync execution/creation of new tests usage statistics a new class
> is added in gsf.testrunner, namely UnitTestsUsage. This is used by ant/maven
> junit support modules in order to log junit library usage per project.
> Please review this change. I will integrate tomorrow if there are no
> objections as this is needed for 7.4 release. Thank you

JR01: Make the UnitTestsUsage
JR02: Don't forget to increase the spec. versions and document it in the API changes document
Comment 5 Jiri Rechtacek 2013-08-29 18:02:25 UTC
(In reply to Jiri Rechtacek from comment #4)
> (In reply to Theofanis Oikonomou from comment #3)
> > In oder to sync execution/creation of new tests usage statistics a new class
> > is added in gsf.testrunner, namely UnitTestsUsage. This is used by ant/maven
> > junit support modules in order to log junit library usage per project.
> > Please review this change. I will integrate tomorrow if there are no
> > objections as this is needed for 7.4 release. Thank you
> 
> JR01: Make the UnitTestsUsage
JR01: Make the UnitTestsUsage _final_
Comment 6 Theofanis Oikonomou 2013-08-30 10:11:19 UTC
Created attachment 139483 [details]
proposed fix

updated the patch based on comments JR01 and JR02. I will integrate later today if there are no more comments. Thank you
Comment 7 Theofanis Oikonomou 2013-08-30 11:47:20 UTC
Fixed: http://hg.netbeans.org/core-main/rev/66b4b7cec11d
Comment 8 Quality Engineering 2013-09-01 01:24:44 UTC
Integrated into 'main-silver', will be available in build *201309010001* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)

Changeset: http://hg.netbeans.org/main-silver/rev/66b4b7cec11d
User: Theofanis Oikonomou <theofanis@netbeans.org>
Log: #235112 - Add logging for version


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo